Innehåll

# Or Operator

Används för att utföra en logisk OR-union med två uttryck.

## Syntax:

    Resultat = Uttryck1 Or Uttryck2

## Parametrar:

Resultat: En numerisk variabel som innehåller unionens resultat.

Uttryck1, Uttryck2: De numeriska uttryck som ska jämföras.

En logisk OR-kombination av två logiska uttryck returnerar True om minst ett uttryck evalueras till True.

En bitvis jämförelse returnerar 1 i en viss position om motsvarande bit är 1 i minst ett av de två uttrycken.

## Exempel:

    Sub ExampleOr
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB Or vB > vC ' -1
        vOut = vB > vA Or vB > vC ' -1
        vOut = vA > vB Or vB > vD ' -1
        vOut = (vB > vD Or vB > vA) ' 0
        vOut = vB Or vA ' 10
    End Sub

Stötta oss!